# -*- coding:UTF-8 -*-
#!/usr/bin/python

print('字串格式化')
# %s  以 str() 函數輸出文字。
# %d  以十進位整數方式輸出數值。
# %f  以浮點數方式輸出數值。
# %c  以字元方式輸出。
# %%  輸出 % 百分比符號。
# %e、%E  以科學記號輸出數值。
# %o  以八進位整數方式輸出數值。
# %x、%X  以十六進位整數方式輸出數值。
# %r  以 repr() 函數輸出文字。
msg = 'Hello %s!' % 'World'
print(msg)
msg = 'Hello {}!'.format('World')
print(msg)

print('若有多組文字需要放進樣板中，則可用小括號包起來的 tuple：')
msg = '%s, %s!' % ('Hello', 'World')
print(msg)
msg = '{}, {}!'.format('Hello', 'World')
print(msg)
msg = '{1}, {0}!'.format('Hello', 'World')
print(msg)

print('文字與整數混用：')
msg = '%s is %d years old.' % ('James', 5)
print(msg)
msg = '{} is {} years old.'.format('James', 5)
print(msg)

print('指定寬度範例')
msg = '(%10s)' % 'Hello'
print(msg)
msg = '(%-10s)' % 'Hello'
print(msg)
msg = '({:10})'.format('Hello')
print(msg)
# 靠右
msg = '({:>10})'.format('Hello')
print(msg)
# 靠左
msg = '({:<10})'.format('Hello')
print(msg)
# 致中
msg = '({:^10})'.format('Hello')
print(msg)

print('文字長度上限')
msg = '(%.3s)' % 'Hello'
print(msg)
msg = '({:.3})'.format('Hello')
print(msg)

print('日期與時間')
from datetime import datetime
msg = '{:%Y-%m-%d %w %H:%M:%S}'.format(datetime.today())
print(msg)
msg = '{:%Y/%m/%d} 星期{:%w}'.format(datetime.today(), datetime.today())
print(msg)

input('Press enter to continue......')
